/*
$Id: hart/HART_Sensor_Level_Milltronics_LR560/trend.inc 1.5 2010/01/11 15:50:09EST Bond, Roland (Roland Bond) Dev  $
$ProjectName: d:/elect/source/device_descriptions/pdm/potter_pdm.pj $   $Locker:  $
*/

#ifndef TREND_INC
#define TREND_INC
#endif

/*                                                       For Internal Use Only.
   Description ----------------------------------------------------------------
		 Secondary DD file.

         Copyright (C) Siemens-Milltronics Process Instruments Inc.
         All Rights Reserved.

   Warnings -------------------------------------------------------------------

   Special Revision Notes -----------------------------------------------------

   Defines --------------------------------------------------------------------*/

/* Include Files --------------------------------------------------------------*/

/* Collections ----------------------------------------------------------------*/

/* Relations ------------------------------------------------------------------*/

/* Variable Definitions -------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/

/* Command Definitions --------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/

/* Menu Definitions -----------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
MENU Page_show_trendview
{
   LABEL  [trend_menu_trend_label];
   HELP  [trend_menu_trend_label];
   STYLE_PAGE
   ITEMS
   {
      COOP_IDENTITY_ON
      chart_trend,
      
      #ifdef TREND_MULTIPLE_GROUPS
         Group_trend_parameters_1,
         Group_trend_parameters_2
      #else
         group_trend_parameters
      #endif
      
      #ifdef SHOWTREND_INC
         ,group_save_trend
      #endif
   }
}

MENU OnlineDialog_trend
{
   LABEL  [trend_menu_trend_label];
   ACCESS ONLINE;
   STYLE_DIALOG
   ITEMS
   {
      group_trend_parameters, 
      chart_trend

      #ifdef SHOWTREND_INC
        ,group_save_trend
      #endif
   }
}

MENU group_trend_parameters
{
   STYLE_GROUP
   ITEMS
   {
      PV.DEVICE_VARIABLE.DIGITAL_VALUE(READ_ONLY),
      SV.DEVICE_VARIABLE.DIGITAL_VALUE(READ_ONLY)
   }
}   

/* Visual component Definitions -----------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description: Displays graph area, content is referenced from here   
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
CHART chart_trend 
{
   LABEL  [trend_menu_trend_label];
   TYPE   STRIP;
   CYCLE_TIME 1000 ;  //milliseconds
   MEMBERS 
   {
      SOURCE_TREND_PV, source_trend_pv;
   }
   WIDTH  LARGE;
   HEIGHT LARGE;
}

SOURCE source_trend_pv
{
   Y_AXIS axis_trend_y_pv;
   MEMBERS 
   {
      LEVEL, PV.DEVICE_VARIABLE.DIGITAL_VALUE;
   }
   #ifdef SHOWTREND_INC
   INIT_ACTIONS
   {
      method_trend_save_init
   }
   REFRESH_ACTIONS
   {
      method_trend_save_save_data 
   }
   EXIT_ACTIONS
   {
      method_trend_save_stop
   }
   #endif
}

AXIS axis_trend_y_pv
{
    LABEL         PV.DEVICE_VARIABLE.DIGITAL_VALUE.LABEL;
    MIN_VALUE     PV.RANGING.LOWER_RANGE_VALUE;  
    MAX_VALUE     PV.RANGING.UPPER_RANGE_VALUE;   
    CONSTANT_UNIT PV.DEVICE_VARIABLE.DIGITAL_UNITS(PV.DEVICE_VARIABLE.DIGITAL_UNITS);
}

/* Method Definitions ---------------------------------------------------------*/
/*-----------------------------------------------------------------------------
   Description    
   Created by:
   Revised by:
 ------------------------------------------------------------------------------*/
METHOD method_menu_trend
{
   LABEL  [trend_menu_trend_label];
   DEFINITION
   {  
      long result;
      
      MenuDisplay(OnlineDialog_trend, dictionary_string(close_button_label), result);
      
      #ifdef SHOWTREND_INC
      method_trend_save_stop();
      #endif
   }
} 

/*-----------------------------------------------------------------------------
                                                         For Internal Use Only.
      Copyright (C) Siemens-Milltronics Process Instruments Inc.
      All Rights Reserved.

End of file -------------------------------------------------------------------*/




